pkgname=linux-postmarketos-grate
pkgver=5.12.0_rc2
pkgrel=0
arch="armv7"
pkgdesc="Linux kernel with experimental patches for Tegra"
url="https://postmarketos.org"
makedepends="perl sed installkernel bash gmp-dev bc linux-headers elfutils-dev
	     devicepkg-dev bison flex openssl-dev xz findutils"
options="!strip !check !tracedeps pmb:cross-native"
license="GPL-2.0-only"

# Source
_flavor=postmarketos-grate
_commit="3201b8b89388b3f688fee9f352d3002aec200ecc"
_carch="arm"
_config="config-$_flavor.$arch"
source="$pkgname-$pkgver-$_commit.tar.gz::https://github.com/grate-driver/linux/archive/$_commit.tar.gz
	$_config"
builddir="$srcdir/linux-$_commit"

prepare() {
	default_prepare
	REPLACE_GCCH=0 \
		. downstreamkernel_prepare
}

build() {
	unset LDFLAGS
	make ARCH="$_carch" CC="${CC:-gcc}" \
		KBUILD_BUILD_VERSION="$((pkgrel + 1 ))-$_flavor"
}

package() {
	downstreamkernel_package "$builddir" "$pkgdir" "$_carch" "$_flavor"

	make -j1 modules_install dtbs_install \
		ARCH="$_carch" \
		INSTALL_MOD_STRIP=1 \
		INSTALL_MOD_PATH="$pkgdir" \
		INSTALL_DTBS_PATH="$pkgdir/usr/share/dtb"
}

sha512sums="e4f3019999ab29c393d7fdd8df63f256bda54038ae1b62d0fb313fbd8d9a283e82d5447aac3d167e0c48b565dd1a3c88a5371be57057c1fe240ef97876267c05  linux-postmarketos-grate-5.12.0_rc2-3201b8b89388b3f688fee9f352d3002aec200ecc.tar.gz
8520783678f2b1559f0157864cc7dac609744d8363f045cf92ec3d2248deac54f9f1c2a7d9581398bac659dfddb758a1c7f41c699742cdc2b8151f246f798714  config-postmarketos-grate.armv7"
